Skip to main content
POST
/
v6
/
templates
/
rules
/
query
Query template rules
curl --request POST \
  --url https://sandbox.tight.com/v6/templates/rules/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cursor": "<string>",
  "limit": 123,
  "sort": {
    "orderBy": "STATUS",
    "direction": "ASC"
  },
  "filter": {
    "status": {
      "in": [
        "ACTIVE"
      ],
      "notIn": [
        "ACTIVE"
      ],
      "equal": "ACTIVE",
      "notEqual": "ACTIVE",
      "greaterThan": "ACTIVE",
      "greaterThanEqual": "ACTIVE",
      "lessThan": "ACTIVE",
      "lessThanEqual": "ACTIVE"
    }
  }
}
'
{
  "result": "SUCCESS",
  "data": [
    {
      "id": "trl_12345678",
      "businessType": {
        "id": "bzt_123456",
        "name": "Electrician"
      },
      "status": "ACTIVE",
      "filter": {
        "type": {
          "in": [
            "EXPENSE",
            "REVENUE"
          ]
        },
        "description": {
          "equal": "Office Supplies",
          "contain": "Supplies"
        },
        "amount": {
          "equal": 123,
          "greaterThan": 123,
          "greaterThanEqual": 123,
          "lessThan": 123,
          "lessThanEqual": 123
        },
        "vendor": {
          "id": {
            "equal": "bka_12345678"
          },
          "name": {
            "equal": "Gusto",
            "contain": "Gust"
          }
        },
        "category": {
          "id": {
            "equal": "bka_12345678"
          }
        },
        "glAccount": {
          "id": {
            "equal": "bka_12345678"
          }
        },
        "bankAccount": {
          "id": {
            "equal": "bka_12345678"
          }
        }
      },
      "update": {
        "category": {
          "id": "ctg_58932890",
          "name": "Wages",
          "iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
        },
        "vendor": {
          "id": "vnd_28868401",
          "name": "Gusto"
        },
        "customer": {
          "id": "cus_4852707",
          "name": "Abigail Adams",
          "email": "abigail@tight.com"
        },
        "reviewStatus": "RECONCILED"
      },
      "customData": {
        "internal_key": "some_internal_key",
        "some_other_field": 23434
      }
    }
  ],
  "cursor": {
    "after": "<string>",
    "before": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.

Body

application/json
cursor
string | null

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Required range: x <= 250
sort
object

Sort order for the items in the response.

filter
object

Filter for items in the response.

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

cursor
object

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.